#ifndef GENODE_H
#define GENODE_H

#include "GeLight.h"

class GeNode {
public:
	GeNode();
	virtual void render(void) = 0;
	virtual void update(void) {};
	virtual void shadowPass(GeLight* light) {};

	bool visible;
};

#endif
